from openerp import api, models
from num2words import num2words
import numbers_to_letters

class report_seguirpago(models.AbstractModel):
    _name = 'report.seguimiento_pago.report_pagare_original'

    @api.multi
    def render_html(self, data=None):
        report_obj = self.env['report']
        report = report_obj._get_report_from_name('seguimiento_pago.report_pagare_original')
        docargs = {
            'doc_ids': self._ids,
            'doc_model': report.model,
            'docs': self.env[report.model].browse(self._ids),
            'convertir':self.convertir,
        }
        return report_obj.render('seguimiento_pago.report_pagare_original', docargs)

    def convertir(self,nro,moneda):
        # letra = num2words(nro,lang="es")
        # letra = letra.capitalize()
        letra = numbers_to_letters.numero_to_letras(nro)
        if not moneda:
            moneda=''
        letra = letra +' '+moneda

        return letra
